#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 2020/4/28 0028 上午 9:48
# @Author  : hj
# @File    : re_status_dao.py
# @Software: PyCharm

from db.mod_db import DataBase


class rec_status_Dao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db
    def select_sql_1(self,recommend_id,status_name):
        return self.dataBase.update('update tj_recommend_do_status set status_name = "%s" where recommend_id = "%s"' % (status_name,recommend_id),None)

    def select_sql_2(self,recommend_id,remark):
        return self.dataBase.update('update tj_recommend_do_status set remark = "%s" where recommend_id = "%s"' % (remark,recommend_id),None)